# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(FindBin.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/Builder.pm) perl(Time/Local.pm) perl(overload.pm) perl(subs.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Test-Smoke
Version:        1.53
Release:        alt1_4
Summary:        Perl core test smoke suite
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Test-Smoke/
Source0:        http://www.cpan.org/authors/id/A/AB/ABELTJE/Test-Smoke-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec/Functions.pm)
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
# Net::FTP is not needed for tests
BuildRequires:  perl(Text/ParseWords.pm)
# Time::Local is not needed for tests
# Tests:
BuildRequires:  perl(Archive/Tar.pm)
BuildRequires:  perl(Compress/Zlib.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Mail/Sendmail.pm)
Requires:       perl(File/Spec.pm) >= 0.82


Source44: import.info
%filter_from_provides /^perl\\(Mail.Sendmail.pm\\)/d

%description
The perl core test smoke suite is a set of scripts and modules that try to run
the perl core tests on as many configurations as possible and combine the
results into an easy to read report.

%prep
%setup -q -n Test-Smoke-%{version}

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} %{buildroot}/*
rm -rf %{buildroot}/%{_bindir}/W32Configure.pl
rm -rf %{buildroot}/%{_mandir}/man1/W32Configure*
rm -rf %{buildroot}/%{perl_vendor_privlib}/inc/Mail/Sendmail.pm

%files
%doc Changes README ReleaseNotes
%{_bindir}/archiverpt.pl
%{_bindir}/chkbcfg.pl
%{_bindir}/configsmoke.pl
%{_bindir}/mailrpt.pl
%{_bindir}/patchtree.pl
%{_bindir}/runsmoke.pl
%{_bindir}/sendrpt.pl
%{_bindir}/smokeperl.pl
%{_bindir}/smokestatus.pl
%{_bindir}/synctree.pl
%{perl_vendor_privlib}/*
%{_mandir}/man1/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.53-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.53-alt1_3
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.47-alt1_1
- fc import

